%define	upstream_name	 Fuse
%define	upstream_version 0.16_1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Write filesystems in Perl using FUSE
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DP/DPATES/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filesys::Statvfs)
BuildRequires: perl(Lchown)
BuildRequires: perl(Unix::Mknod)
BuildRequires: fuse-devel
BuildRequires: fuse
BuildRequires: perl-devel
%description
This lets you implement filesystems in perl, through the FUSE (Filesystem in
USErspace) kernel/lib interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%make_install

%files
%doc AUTHORS Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Fuse*
%{perl_vendorarch}/auto/Fuse*
%{_mandir}/man3/*


%changelog
* Thu May 12 2016 tv <tv> 1:0_161.0-6.mga6
+ Revision: 1014010
- use std build macros; prevent commented out macros to break build

* Fri Feb 12 2016 umeabot <umeabot> 1:0_161.0-5.mga6
+ Revision: 957341
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1:0_161.0-4.mga6
+ Revision: 843523
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:0_161.0-3.mga5
+ Revision: 741275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0_161.0-2.mga5
+ Revision: 684809
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 pterjan <pterjan> 1:0_161.0-1.mga5
+ Revision: 633391
- 0.16_1

  + jquelin <jquelin>
    - perl 5.20.0 rebuild

  + sander85 <sander85>
    - update to 0.16

* Mon Feb 17 2014 jquelin <jquelin> 1:0.16.1-1.mga5
+ Revision: 593518
- forcing upgrade through epoch, changed upstream versioning scheme
- update to 0.16.1
- update to 0.16.1
- update to 0.16

  + sander85 <sander85>
    - update to 0.16.1
    - update to 0.16

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 441577
- update to 0.15

* Wed May 29 2013 jquelin <jquelin> 0.140.0-4.mga4
+ Revision: 431191
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 367516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250642
- rebuild for perl 5.16
- update to 0.14

* Fri Jul 08 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 120404
- update to 0.13

* Wed Jun 15 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 106965
- update to 0.12

* Sun Jun 12 2011 sander85 <sander85> 0.110.0-2.mga2
+ Revision: 104308
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 61460
- update to 0.11
- update to 0.11

* Sat Feb 26 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 60805
- rebuild
- update to 0.11

* Fri Jan 21 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 30442
- mageia rebuild
- imported package perl-Fuse

